# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _wc

def _swig_setattr(self,class_type,name,value):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    self.__dict__[name] = value

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


import delta

svn_wc_version = _wc.svn_wc_version

svn_wc_adm_open2 = _wc.svn_wc_adm_open2

svn_wc_adm_open = _wc.svn_wc_adm_open

svn_wc_adm_probe_open2 = _wc.svn_wc_adm_probe_open2

svn_wc_adm_probe_open = _wc.svn_wc_adm_probe_open

svn_wc_adm_retrieve = _wc.svn_wc_adm_retrieve

svn_wc_adm_probe_retrieve = _wc.svn_wc_adm_probe_retrieve

svn_wc_adm_probe_try2 = _wc.svn_wc_adm_probe_try2

svn_wc_adm_probe_try = _wc.svn_wc_adm_probe_try

svn_wc_adm_close = _wc.svn_wc_adm_close

svn_wc_adm_access_path = _wc.svn_wc_adm_access_path

svn_wc_adm_access_pool = _wc.svn_wc_adm_access_pool

svn_wc_adm_locked = _wc.svn_wc_adm_locked

svn_wc_locked = _wc.svn_wc_locked

svn_wc_init_traversal_info = _wc.svn_wc_init_traversal_info

svn_wc_edited_externals = _wc.svn_wc_edited_externals
class svn_wc_external_item_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_wc_external_item_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_wc_external_item_t, name)
    def __repr__(self):
        return "<C svn_wc_external_item_t instance at %s>" % (self.this,)
    __swig_setmethods__["target_dir"] = _wc.svn_wc_external_item_t_target_dir_set
    __swig_getmethods__["target_dir"] = _wc.svn_wc_external_item_t_target_dir_get
    if _newclass:target_dir = property(_wc.svn_wc_external_item_t_target_dir_get, _wc.svn_wc_external_item_t_target_dir_set)
    __swig_setmethods__["url"] = _wc.svn_wc_external_item_t_url_set
    __swig_getmethods__["url"] = _wc.svn_wc_external_item_t_url_get
    if _newclass:url = property(_wc.svn_wc_external_item_t_url_get, _wc.svn_wc_external_item_t_url_set)
    __swig_setmethods__["revision"] = _wc.svn_wc_external_item_t_revision_set
    __swig_getmethods__["revision"] = _wc.svn_wc_external_item_t_revision_get
    if _newclass:revision = property(_wc.svn_wc_external_item_t_revision_get, _wc.svn_wc_external_item_t_revision_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_wc_external_item_t, 'this', _wc.new_svn_wc_external_item_t(*args))
        _swig_setattr(self, svn_wc_external_item_t, 'thisown', 1)
    def __del__(self, destroy=_wc.delete_svn_wc_external_item_t):
        try:
            if self.thisown: destroy(self)
        except: pass

class svn_wc_external_item_tPtr(svn_wc_external_item_t):
    def __init__(self, this):
        _swig_setattr(self, svn_wc_external_item_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_wc_external_item_t, 'thisown', 0)
        _swig_setattr(self, svn_wc_external_item_t,self.__class__,svn_wc_external_item_t)
_wc.svn_wc_external_item_t_swigregister(svn_wc_external_item_tPtr)


svn_wc_parse_externals_description2 = _wc.svn_wc_parse_externals_description2

svn_wc_parse_externals_description = _wc.svn_wc_parse_externals_description
svn_wc_notify_add = _wc.svn_wc_notify_add
svn_wc_notify_copy = _wc.svn_wc_notify_copy
svn_wc_notify_delete = _wc.svn_wc_notify_delete
svn_wc_notify_restore = _wc.svn_wc_notify_restore
svn_wc_notify_revert = _wc.svn_wc_notify_revert
svn_wc_notify_failed_revert = _wc.svn_wc_notify_failed_revert
svn_wc_notify_resolved = _wc.svn_wc_notify_resolved
svn_wc_notify_skip = _wc.svn_wc_notify_skip
svn_wc_notify_update_delete = _wc.svn_wc_notify_update_delete
svn_wc_notify_update_add = _wc.svn_wc_notify_update_add
svn_wc_notify_update_update = _wc.svn_wc_notify_update_update
svn_wc_notify_update_completed = _wc.svn_wc_notify_update_completed
svn_wc_notify_update_external = _wc.svn_wc_notify_update_external
svn_wc_notify_status_completed = _wc.svn_wc_notify_status_completed
svn_wc_notify_status_external = _wc.svn_wc_notify_status_external
svn_wc_notify_commit_modified = _wc.svn_wc_notify_commit_modified
svn_wc_notify_commit_added = _wc.svn_wc_notify_commit_added
svn_wc_notify_commit_deleted = _wc.svn_wc_notify_commit_deleted
svn_wc_notify_commit_replaced = _wc.svn_wc_notify_commit_replaced
svn_wc_notify_commit_postfix_txdelta = _wc.svn_wc_notify_commit_postfix_txdelta
svn_wc_notify_blame_revision = _wc.svn_wc_notify_blame_revision
svn_wc_notify_state_inapplicable = _wc.svn_wc_notify_state_inapplicable
svn_wc_notify_state_unknown = _wc.svn_wc_notify_state_unknown
svn_wc_notify_state_unchanged = _wc.svn_wc_notify_state_unchanged
svn_wc_notify_state_missing = _wc.svn_wc_notify_state_missing
svn_wc_notify_state_obstructed = _wc.svn_wc_notify_state_obstructed
svn_wc_notify_state_changed = _wc.svn_wc_notify_state_changed
svn_wc_notify_state_merged = _wc.svn_wc_notify_state_merged
svn_wc_notify_state_conflicted = _wc.svn_wc_notify_state_conflicted
class svn_wc_diff_callbacks_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_wc_diff_callbacks_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_wc_diff_callbacks_t, name)
    def __repr__(self):
        return "<C svn_wc_diff_callbacks_t instance at %s>" % (self.this,)
    __swig_setmethods__["file_changed"] = _wc.svn_wc_diff_callbacks_t_file_changed_set
    __swig_getmethods__["file_changed"] = _wc.svn_wc_diff_callbacks_t_file_changed_get
    if _newclass:file_changed = property(_wc.svn_wc_diff_callbacks_t_file_changed_get, _wc.svn_wc_diff_callbacks_t_file_changed_set)
    __swig_setmethods__["file_added"] = _wc.svn_wc_diff_callbacks_t_file_added_set
    __swig_getmethods__["file_added"] = _wc.svn_wc_diff_callbacks_t_file_added_get
    if _newclass:file_added = property(_wc.svn_wc_diff_callbacks_t_file_added_get, _wc.svn_wc_diff_callbacks_t_file_added_set)
    __swig_setmethods__["file_deleted"] = _wc.svn_wc_diff_callbacks_t_file_deleted_set
    __swig_getmethods__["file_deleted"] = _wc.svn_wc_diff_callbacks_t_file_deleted_get
    if _newclass:file_deleted = property(_wc.svn_wc_diff_callbacks_t_file_deleted_get, _wc.svn_wc_diff_callbacks_t_file_deleted_set)
    __swig_setmethods__["dir_added"] = _wc.svn_wc_diff_callbacks_t_dir_added_set
    __swig_getmethods__["dir_added"] = _wc.svn_wc_diff_callbacks_t_dir_added_get
    if _newclass:dir_added = property(_wc.svn_wc_diff_callbacks_t_dir_added_get, _wc.svn_wc_diff_callbacks_t_dir_added_set)
    __swig_setmethods__["dir_deleted"] = _wc.svn_wc_diff_callbacks_t_dir_deleted_set
    __swig_getmethods__["dir_deleted"] = _wc.svn_wc_diff_callbacks_t_dir_deleted_get
    if _newclass:dir_deleted = property(_wc.svn_wc_diff_callbacks_t_dir_deleted_get, _wc.svn_wc_diff_callbacks_t_dir_deleted_set)
    __swig_setmethods__["props_changed"] = _wc.svn_wc_diff_callbacks_t_props_changed_set
    __swig_getmethods__["props_changed"] = _wc.svn_wc_diff_callbacks_t_props_changed_get
    if _newclass:props_changed = property(_wc.svn_wc_diff_callbacks_t_props_changed_get, _wc.svn_wc_diff_callbacks_t_props_changed_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_wc_diff_callbacks_t, 'this', _wc.new_svn_wc_diff_callbacks_t(*args))
        _swig_setattr(self, svn_wc_diff_callbacks_t, 'thisown', 1)
    def __del__(self, destroy=_wc.delete_svn_wc_diff_callbacks_t):
        try:
            if self.thisown: destroy(self)
        except: pass

class svn_wc_diff_callbacks_tPtr(svn_wc_diff_callbacks_t):
    def __init__(self, this):
        _swig_setattr(self, svn_wc_diff_callbacks_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_wc_diff_callbacks_t, 'thisown', 0)
        _swig_setattr(self, svn_wc_diff_callbacks_t,self.__class__,svn_wc_diff_callbacks_t)
_wc.svn_wc_diff_callbacks_t_swigregister(svn_wc_diff_callbacks_tPtr)


svn_wc_check_wc = _wc.svn_wc_check_wc

svn_wc_has_binary_prop = _wc.svn_wc_has_binary_prop

svn_wc_text_modified_p = _wc.svn_wc_text_modified_p

svn_wc_props_modified_p = _wc.svn_wc_props_modified_p
SVN_WC_ADM_DIR_NAME = _wc.SVN_WC_ADM_DIR_NAME
svn_wc_schedule_normal = _wc.svn_wc_schedule_normal
svn_wc_schedule_add = _wc.svn_wc_schedule_add
svn_wc_schedule_delete = _wc.svn_wc_schedule_delete
svn_wc_schedule_replace = _wc.svn_wc_schedule_replace
class svn_wc_entry_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_wc_entry_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_wc_entry_t, name)
    def __repr__(self):
        return "<C svn_wc_entry_t instance at %s>" % (self.this,)
    __swig_setmethods__["name"] = _wc.svn_wc_entry_t_name_set
    __swig_getmethods__["name"] = _wc.svn_wc_entry_t_name_get
    if _newclass:name = property(_wc.svn_wc_entry_t_name_get, _wc.svn_wc_entry_t_name_set)
    __swig_setmethods__["revision"] = _wc.svn_wc_entry_t_revision_set
    __swig_getmethods__["revision"] = _wc.svn_wc_entry_t_revision_get
    if _newclass:revision = property(_wc.svn_wc_entry_t_revision_get, _wc.svn_wc_entry_t_revision_set)
    __swig_setmethods__["url"] = _wc.svn_wc_entry_t_url_set
    __swig_getmethods__["url"] = _wc.svn_wc_entry_t_url_get
    if _newclass:url = property(_wc.svn_wc_entry_t_url_get, _wc.svn_wc_entry_t_url_set)
    __swig_setmethods__["repos"] = _wc.svn_wc_entry_t_repos_set
    __swig_getmethods__["repos"] = _wc.svn_wc_entry_t_repos_get
    if _newclass:repos = property(_wc.svn_wc_entry_t_repos_get, _wc.svn_wc_entry_t_repos_set)
    __swig_setmethods__["uuid"] = _wc.svn_wc_entry_t_uuid_set
    __swig_getmethods__["uuid"] = _wc.svn_wc_entry_t_uuid_get
    if _newclass:uuid = property(_wc.svn_wc_entry_t_uuid_get, _wc.svn_wc_entry_t_uuid_set)
    __swig_setmethods__["kind"] = _wc.svn_wc_entry_t_kind_set
    __swig_getmethods__["kind"] = _wc.svn_wc_entry_t_kind_get
    if _newclass:kind = property(_wc.svn_wc_entry_t_kind_get, _wc.svn_wc_entry_t_kind_set)
    __swig_setmethods__["schedule"] = _wc.svn_wc_entry_t_schedule_set
    __swig_getmethods__["schedule"] = _wc.svn_wc_entry_t_schedule_get
    if _newclass:schedule = property(_wc.svn_wc_entry_t_schedule_get, _wc.svn_wc_entry_t_schedule_set)
    __swig_setmethods__["copied"] = _wc.svn_wc_entry_t_copied_set
    __swig_getmethods__["copied"] = _wc.svn_wc_entry_t_copied_get
    if _newclass:copied = property(_wc.svn_wc_entry_t_copied_get, _wc.svn_wc_entry_t_copied_set)
    __swig_setmethods__["deleted"] = _wc.svn_wc_entry_t_deleted_set
    __swig_getmethods__["deleted"] = _wc.svn_wc_entry_t_deleted_get
    if _newclass:deleted = property(_wc.svn_wc_entry_t_deleted_get, _wc.svn_wc_entry_t_deleted_set)
    __swig_setmethods__["absent"] = _wc.svn_wc_entry_t_absent_set
    __swig_getmethods__["absent"] = _wc.svn_wc_entry_t_absent_get
    if _newclass:absent = property(_wc.svn_wc_entry_t_absent_get, _wc.svn_wc_entry_t_absent_set)
    __swig_setmethods__["incomplete"] = _wc.svn_wc_entry_t_incomplete_set
    __swig_getmethods__["incomplete"] = _wc.svn_wc_entry_t_incomplete_get
    if _newclass:incomplete = property(_wc.svn_wc_entry_t_incomplete_get, _wc.svn_wc_entry_t_incomplete_set)
    __swig_setmethods__["copyfrom_url"] = _wc.svn_wc_entry_t_copyfrom_url_set
    __swig_getmethods__["copyfrom_url"] = _wc.svn_wc_entry_t_copyfrom_url_get
    if _newclass:copyfrom_url = property(_wc.svn_wc_entry_t_copyfrom_url_get, _wc.svn_wc_entry_t_copyfrom_url_set)
    __swig_setmethods__["copyfrom_rev"] = _wc.svn_wc_entry_t_copyfrom_rev_set
    __swig_getmethods__["copyfrom_rev"] = _wc.svn_wc_entry_t_copyfrom_rev_get
    if _newclass:copyfrom_rev = property(_wc.svn_wc_entry_t_copyfrom_rev_get, _wc.svn_wc_entry_t_copyfrom_rev_set)
    __swig_setmethods__["conflict_old"] = _wc.svn_wc_entry_t_conflict_old_set
    __swig_getmethods__["conflict_old"] = _wc.svn_wc_entry_t_conflict_old_get
    if _newclass:conflict_old = property(_wc.svn_wc_entry_t_conflict_old_get, _wc.svn_wc_entry_t_conflict_old_set)
    __swig_setmethods__["conflict_new"] = _wc.svn_wc_entry_t_conflict_new_set
    __swig_getmethods__["conflict_new"] = _wc.svn_wc_entry_t_conflict_new_get
    if _newclass:conflict_new = property(_wc.svn_wc_entry_t_conflict_new_get, _wc.svn_wc_entry_t_conflict_new_set)
    __swig_setmethods__["conflict_wrk"] = _wc.svn_wc_entry_t_conflict_wrk_set
    __swig_getmethods__["conflict_wrk"] = _wc.svn_wc_entry_t_conflict_wrk_get
    if _newclass:conflict_wrk = property(_wc.svn_wc_entry_t_conflict_wrk_get, _wc.svn_wc_entry_t_conflict_wrk_set)
    __swig_setmethods__["prejfile"] = _wc.svn_wc_entry_t_prejfile_set
    __swig_getmethods__["prejfile"] = _wc.svn_wc_entry_t_prejfile_get
    if _newclass:prejfile = property(_wc.svn_wc_entry_t_prejfile_get, _wc.svn_wc_entry_t_prejfile_set)
    __swig_setmethods__["text_time"] = _wc.svn_wc_entry_t_text_time_set
    __swig_getmethods__["text_time"] = _wc.svn_wc_entry_t_text_time_get
    if _newclass:text_time = property(_wc.svn_wc_entry_t_text_time_get, _wc.svn_wc_entry_t_text_time_set)
    __swig_setmethods__["prop_time"] = _wc.svn_wc_entry_t_prop_time_set
    __swig_getmethods__["prop_time"] = _wc.svn_wc_entry_t_prop_time_get
    if _newclass:prop_time = property(_wc.svn_wc_entry_t_prop_time_get, _wc.svn_wc_entry_t_prop_time_set)
    __swig_setmethods__["checksum"] = _wc.svn_wc_entry_t_checksum_set
    __swig_getmethods__["checksum"] = _wc.svn_wc_entry_t_checksum_get
    if _newclass:checksum = property(_wc.svn_wc_entry_t_checksum_get, _wc.svn_wc_entry_t_checksum_set)
    __swig_setmethods__["cmt_rev"] = _wc.svn_wc_entry_t_cmt_rev_set
    __swig_getmethods__["cmt_rev"] = _wc.svn_wc_entry_t_cmt_rev_get
    if _newclass:cmt_rev = property(_wc.svn_wc_entry_t_cmt_rev_get, _wc.svn_wc_entry_t_cmt_rev_set)
    __swig_setmethods__["cmt_date"] = _wc.svn_wc_entry_t_cmt_date_set
    __swig_getmethods__["cmt_date"] = _wc.svn_wc_entry_t_cmt_date_get
    if _newclass:cmt_date = property(_wc.svn_wc_entry_t_cmt_date_get, _wc.svn_wc_entry_t_cmt_date_set)
    __swig_setmethods__["cmt_author"] = _wc.svn_wc_entry_t_cmt_author_set
    __swig_getmethods__["cmt_author"] = _wc.svn_wc_entry_t_cmt_author_get
    if _newclass:cmt_author = property(_wc.svn_wc_entry_t_cmt_author_get, _wc.svn_wc_entry_t_cmt_author_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_wc_entry_t, 'this', _wc.new_svn_wc_entry_t(*args))
        _swig_setattr(self, svn_wc_entry_t, 'thisown', 1)
    def __del__(self, destroy=_wc.delete_svn_wc_entry_t):
        try:
            if self.thisown: destroy(self)
        except: pass

class svn_wc_entry_tPtr(svn_wc_entry_t):
    def __init__(self, this):
        _swig_setattr(self, svn_wc_entry_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_wc_entry_t, 'thisown', 0)
        _swig_setattr(self, svn_wc_entry_t,self.__class__,svn_wc_entry_t)
_wc.svn_wc_entry_t_swigregister(svn_wc_entry_tPtr)

SVN_WC_ENTRY_THIS_DIR = _wc.SVN_WC_ENTRY_THIS_DIR

svn_wc_entry = _wc.svn_wc_entry

svn_wc_entries_read = _wc.svn_wc_entries_read

svn_wc_entry_dup = _wc.svn_wc_entry_dup

svn_wc_conflicted_p = _wc.svn_wc_conflicted_p

svn_wc_get_ancestry = _wc.svn_wc_get_ancestry
class svn_wc_entry_callbacks_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_wc_entry_callbacks_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_wc_entry_callbacks_t, name)
    def __repr__(self):
        return "<C svn_wc_entry_callbacks_t instance at %s>" % (self.this,)
    __swig_setmethods__["found_entry"] = _wc.svn_wc_entry_callbacks_t_found_entry_set
    __swig_getmethods__["found_entry"] = _wc.svn_wc_entry_callbacks_t_found_entry_get
    if _newclass:found_entry = property(_wc.svn_wc_entry_callbacks_t_found_entry_get, _wc.svn_wc_entry_callbacks_t_found_entry_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_wc_entry_callbacks_t, 'this', _wc.new_svn_wc_entry_callbacks_t(*args))
        _swig_setattr(self, svn_wc_entry_callbacks_t, 'thisown', 1)
    def __del__(self, destroy=_wc.delete_svn_wc_entry_callbacks_t):
        try:
            if self.thisown: destroy(self)
        except: pass

class svn_wc_entry_callbacks_tPtr(svn_wc_entry_callbacks_t):
    def __init__(self, this):
        _swig_setattr(self, svn_wc_entry_callbacks_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_wc_entry_callbacks_t, 'thisown', 0)
        _swig_setattr(self, svn_wc_entry_callbacks_t,self.__class__,svn_wc_entry_callbacks_t)
_wc.svn_wc_entry_callbacks_t_swigregister(svn_wc_entry_callbacks_tPtr)


svn_wc_walk_entries = _wc.svn_wc_walk_entries

svn_wc_mark_missing_deleted = _wc.svn_wc_mark_missing_deleted

svn_wc_ensure_adm = _wc.svn_wc_ensure_adm
svn_wc_status_none = _wc.svn_wc_status_none
svn_wc_status_unversioned = _wc.svn_wc_status_unversioned
svn_wc_status_normal = _wc.svn_wc_status_normal
svn_wc_status_added = _wc.svn_wc_status_added
svn_wc_status_missing = _wc.svn_wc_status_missing
svn_wc_status_deleted = _wc.svn_wc_status_deleted
svn_wc_status_replaced = _wc.svn_wc_status_replaced
svn_wc_status_modified = _wc.svn_wc_status_modified
svn_wc_status_merged = _wc.svn_wc_status_merged
svn_wc_status_conflicted = _wc.svn_wc_status_conflicted
svn_wc_status_ignored = _wc.svn_wc_status_ignored
svn_wc_status_obstructed = _wc.svn_wc_status_obstructed
svn_wc_status_external = _wc.svn_wc_status_external
svn_wc_status_incomplete = _wc.svn_wc_status_incomplete
class svn_wc_status_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_wc_status_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_wc_status_t, name)
    def __repr__(self):
        return "<C svn_wc_status_t instance at %s>" % (self.this,)
    __swig_setmethods__["entry"] = _wc.svn_wc_status_t_entry_set
    __swig_getmethods__["entry"] = _wc.svn_wc_status_t_entry_get
    if _newclass:entry = property(_wc.svn_wc_status_t_entry_get, _wc.svn_wc_status_t_entry_set)
    __swig_setmethods__["text_status"] = _wc.svn_wc_status_t_text_status_set
    __swig_getmethods__["text_status"] = _wc.svn_wc_status_t_text_status_get
    if _newclass:text_status = property(_wc.svn_wc_status_t_text_status_get, _wc.svn_wc_status_t_text_status_set)
    __swig_setmethods__["prop_status"] = _wc.svn_wc_status_t_prop_status_set
    __swig_getmethods__["prop_status"] = _wc.svn_wc_status_t_prop_status_get
    if _newclass:prop_status = property(_wc.svn_wc_status_t_prop_status_get, _wc.svn_wc_status_t_prop_status_set)
    __swig_setmethods__["locked"] = _wc.svn_wc_status_t_locked_set
    __swig_getmethods__["locked"] = _wc.svn_wc_status_t_locked_get
    if _newclass:locked = property(_wc.svn_wc_status_t_locked_get, _wc.svn_wc_status_t_locked_set)
    __swig_setmethods__["copied"] = _wc.svn_wc_status_t_copied_set
    __swig_getmethods__["copied"] = _wc.svn_wc_status_t_copied_get
    if _newclass:copied = property(_wc.svn_wc_status_t_copied_get, _wc.svn_wc_status_t_copied_set)
    __swig_setmethods__["switched"] = _wc.svn_wc_status_t_switched_set
    __swig_getmethods__["switched"] = _wc.svn_wc_status_t_switched_get
    if _newclass:switched = property(_wc.svn_wc_status_t_switched_get, _wc.svn_wc_status_t_switched_set)
    __swig_setmethods__["repos_text_status"] = _wc.svn_wc_status_t_repos_text_status_set
    __swig_getmethods__["repos_text_status"] = _wc.svn_wc_status_t_repos_text_status_get
    if _newclass:repos_text_status = property(_wc.svn_wc_status_t_repos_text_status_get, _wc.svn_wc_status_t_repos_text_status_set)
    __swig_setmethods__["repos_prop_status"] = _wc.svn_wc_status_t_repos_prop_status_set
    __swig_getmethods__["repos_prop_status"] = _wc.svn_wc_status_t_repos_prop_status_get
    if _newclass:repos_prop_status = property(_wc.svn_wc_status_t_repos_prop_status_get, _wc.svn_wc_status_t_repos_prop_status_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_wc_status_t, 'this', _wc.new_svn_wc_status_t(*args))
        _swig_setattr(self, svn_wc_status_t, 'thisown', 1)
    def __del__(self, destroy=_wc.delete_svn_wc_status_t):
        try:
            if self.thisown: destroy(self)
        except: pass

class svn_wc_status_tPtr(svn_wc_status_t):
    def __init__(self, this):
        _swig_setattr(self, svn_wc_status_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_wc_status_t, 'thisown', 0)
        _swig_setattr(self, svn_wc_status_t,self.__class__,svn_wc_status_t)
_wc.svn_wc_status_t_swigregister(svn_wc_status_tPtr)


svn_wc_dup_status = _wc.svn_wc_dup_status

svn_wc_status = _wc.svn_wc_status

svn_wc_get_status_editor = _wc.svn_wc_get_status_editor

svn_wc_copy = _wc.svn_wc_copy

svn_wc_delete = _wc.svn_wc_delete

svn_wc_add = _wc.svn_wc_add

svn_wc_add_repos_file = _wc.svn_wc_add_repos_file

svn_wc_remove_from_revision_control = _wc.svn_wc_remove_from_revision_control

svn_wc_resolved_conflict = _wc.svn_wc_resolved_conflict

svn_wc_process_committed = _wc.svn_wc_process_committed

svn_wc_crawl_revisions = _wc.svn_wc_crawl_revisions

svn_wc_is_wc_root = _wc.svn_wc_is_wc_root

svn_wc_get_actual_target = _wc.svn_wc_get_actual_target

svn_wc_get_update_editor = _wc.svn_wc_get_update_editor

svn_wc_get_switch_editor = _wc.svn_wc_get_switch_editor

svn_wc_prop_list = _wc.svn_wc_prop_list

svn_wc_prop_get = _wc.svn_wc_prop_get

svn_wc_prop_set = _wc.svn_wc_prop_set

svn_wc_is_normal_prop = _wc.svn_wc_is_normal_prop

svn_wc_is_wc_prop = _wc.svn_wc_is_wc_prop

svn_wc_is_entry_prop = _wc.svn_wc_is_entry_prop

svn_wc_get_diff_editor2 = _wc.svn_wc_get_diff_editor2

svn_wc_get_diff_editor = _wc.svn_wc_get_diff_editor

svn_wc_diff2 = _wc.svn_wc_diff2

svn_wc_diff = _wc.svn_wc_diff

svn_wc_get_prop_diffs = _wc.svn_wc_get_prop_diffs
svn_wc_merge_unchanged = _wc.svn_wc_merge_unchanged
svn_wc_merge_merged = _wc.svn_wc_merge_merged
svn_wc_merge_conflict = _wc.svn_wc_merge_conflict
svn_wc_merge_no_merge = _wc.svn_wc_merge_no_merge

svn_wc_merge = _wc.svn_wc_merge

svn_wc_merge_prop_diffs = _wc.svn_wc_merge_prop_diffs

svn_wc_get_pristine_copy_path = _wc.svn_wc_get_pristine_copy_path

svn_wc_cleanup = _wc.svn_wc_cleanup

svn_wc_relocate = _wc.svn_wc_relocate

svn_wc_revert = _wc.svn_wc_revert

svn_wc_create_tmp_file = _wc.svn_wc_create_tmp_file

svn_wc_translated_file = _wc.svn_wc_translated_file

svn_wc_transmit_text_deltas = _wc.svn_wc_transmit_text_deltas

svn_wc_transmit_prop_deltas = _wc.svn_wc_transmit_prop_deltas

svn_wc_get_default_ignores = _wc.svn_wc_get_default_ignores

